:root {
  /** DOCKIWI VARIABLES **/
  --color-brand-primary: #8fd16a;
  --color-brand-primary-light: #bce3a6;
  --color-brand-primary-dark: #578040;
  --color-brand-primary-darkest: #405e30;
  --color-brand-secondary: #59bec9;
  --color-brand-secondary-light: #9bd8df;
  --color-brand-secondary-dark: #3b7f86;
  --color-brand-secondary-darkest: #2d5f65;
  --color-success: #578040;
  --color-success-dark: #15803d;
  --color-success-light: #dcfce7;
  --color-warning: orange;
  --color-warning-dark: #b45309;
  --color-warning-light: #fef3c7;
  --color-danger: #dc2626;
  --color-danger-dark: #b91c1c;
  --color-danger-light: #fee2e2;
  --color-info: blue;
  --color-info-dark: #1d4ed8;
  --color-info-light: #dbeafe;
  --color-support-primary: #8274cc;
  --color-support-secondary: #ef5f85;
  --color-neutral-0: #000;
  --color-neutral-10: #0f172a;
  --color-neutral-20: #334155;
  --color-neutral-30: #454545;
  --color-neutral-40: #545454;
  --color-neutral-50: #7c7c7c;
  --color-neutral-60: #94a3b8;
  --color-neutral-70: #bcbcbc;
  --color-neutral-80: #cbd5e1;
  --color-neutral-90: #e2e8f0;
  --color-neutral-100: #ffffff;
  --color-opacity-30: rgba(100, 100, 100, 0.3);
  --color-opacity-50: rgba(100, 100, 100, 0.5);
  --color-opacity-70: rgba(100, 100, 100, 0.7);
  --font-family: 'Roboto', Helvetica, Arial, sans-serif;
  --font-family-heading: 'Maven Pro', sans-serif;
  --font-family-monospace:
    source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
  --size-base: 0.5rem;
  --size-0: calc(var(--size-base) * 0);
  --size-025: calc(var(--size-base) * 0.25);
  --size-050: calc(var(--size-base) * 0.5);
  --size-075: calc(var(--size-base) * 0.75);
  --size-100: calc(var(--size-base) * 1);
  --size-150: calc(var(--size-base) * 1.5);
  --size-200: calc(var(--size-base) * 2);
  --size-250: calc(var(--size-base) * 2.5);
  --size-300: calc(var(--size-base) * 3);
  --size-400: calc(var(--size-base) * 4);
  --size-500: calc(var(--size-base) * 5);
  --size-600: calc(var(--size-base) * 6);
  --size-800: calc(var(--size-base) * 8);
  --size-1000: calc(var(--size-base) * 10);
  --font-size-sm-0: var(--size-100);
  --font-size-sm: var(--size-150);
  --font-size-md-0: calc(var(--size-base) * 1.75);
  --font-size-md: var(--size-200);
  --font-size-md-1: var(--size-250);
  --font-size-lg-0: var(--size-300);
  --font-size-lg: var(--size-400);
  --font-size-lg-1: var(--size-500);
  --font-size-su-0: var(--size-600);
  --font-size-su: var(--size-800);
  --font-size-su-1: var(--size-1000);
  --font-weight-thin: 300;
  --font-weight-regular: 400;
  --font-weight-medium: 500;
  --font-weight-semi-bold: 600;
  --font-weight-bold: 800;
  --elevation-sm: 0px 2px 2px rgba(50, 50, 50, 0.2);
  --elevation-md: 0px 4px 4px rgba(50, 50, 50, 0.3);
  --elevation-lg: 0px 8px 8px rgba(50, 50, 50, 0.3);
  --elevation-su: 0px 16px 16px rgba(50, 50, 50, 0.3);
  --color-image-brand: var(--color-brand-primary);
  --avatar-img-sm: 32px;
  --avatar-img-md: 64px;
  --avatar-img-lg: 128px;
  --avatar-img-xl: 184px;

  /** CUSTOM VARIABLES **/
  --feedback-color-info: #3b82f6;
  --feedback-color-info-dark: #2563eb;
  --feedback-color-info-darkest: #1d4ed8;
  --feedback-color-info-light: #dbeafe;

  --feedback-color-success: #22c55e;
  --feedback-color-success-dark: #16a34a;
  --feedback-color-success-darkest: #15803d;
  --feedback-color-success-light: #dcfce7;

  --feedback-color-danger: #ef4444;
  --feedback-color-danger-dark: #dc2626;
  --feedback-color-danger-darkest: #b91c1c;
  --feedback-color-danger-light: #fee2e2;

  --feedback-color-warning: #f59e0b;
  --feedback-color-warning-dark: #d97706;
  --feedback-color-warning-darkest: #b45309;
  --feedback-color-warning-light: #fef3c7;
}

/**********
| Tooltip |
**********/
[data-tooltip] {
  position: relative;
}

[data-tooltip]::after,
[data-tooltip]::before {
  opacity: 0;
  transition: all 0.2s ease-in-out;
  visibility: hidden;
  z-index: -1;
}

[data-tooltip][data-tooltip-open]::after,
[data-tooltip][data-tooltip-open]::before,
[data-tooltip]:hover::after,
[data-tooltip]:hover::before {
  visibility: visible;
  opacity: 1;
}

[data-tooltip][data-tooltip-open]::after,
[data-tooltip]:hover::after {
  z-index: 9;
}

[data-tooltip][data-tooltip-open]::before,
[data-tooltip]:hover::before {
  z-index: 10;
}

[data-tooltip]::before {
  background: var(--color-neutral-100);
  border: 1px solid var(--color-neutral-90);
  content: '';
  height: 0.5em;
  position: absolute;
  transform: translate(-50%, -50%) rotate(45deg);
  width: 0.5em;
}

[data-tooltip]::after {
  content: attr(data-tooltip);
  background-color: var(--color-neutral-100);
  border: 1px solid var(--color-neutral-90);
  border-radius: 0.5rem;
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.1);
  color: var(--color-neutral-10);
  font-size: 0.875rem;
  padding: 0.5rem 1.5rem 0.7rem;
  position: absolute;
  width: 10rem;
}

[data-tooltip][data-tooltip-position='top']::before {
  border-width: 0 1px 1px 0;
  bottom: 100%;
  left: 50%;
}

[data-tooltip][data-tooltip-position='top']::after {
  bottom: calc(100% + 0.5rem);
  left: 50%;
  transform: translate(-50%, 0);
}

[data-tooltip][data-tooltip-position='left']::before {
  border-width: 1px 1px 0 0;
  right: 100%;
  top: 50%;
}

[data-tooltip][data-tooltip-position='left']::after {
  right: calc(100% + 0.5rem);
  top: 50%;
  transform: translate(0, -50%);
}

[data-tooltip][data-tooltip-position='right']::before {
  border-width: 0 0 1px 1px;
  left: calc(100% + 0.5rem);
  top: 50%;
}

[data-tooltip][data-tooltip-position='right']::after {
  left: calc(100% + 0.5rem);
  top: 50%;
  transform: translate(0, -50%);
}

[data-tooltip][data-tooltip-position='bottom']::before {
  border-width: 1px 0 0 1px;
  left: 50%;
  top: calc(100% + 0.5em);
}

[data-tooltip][data-tooltip-position='bottom']::after {
  left: 50%;
  top: calc(100% + 0.5em);
  transform: translate(-50%, 0);
}
